Update Promocode Endpoint
curl --request PATCH \
--url https://api.example.com/cabinet/admin/promocodes/{promocode_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"balance_bonus_kopeks": 123,
"subscription_days": 123,
"max_uses": 1,
"valid_from": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z",
"is_active": true,
"first_purchase_only": true,
"promo_group_id": 123
}
'import requests
url = "https://api.example.com/cabinet/admin/promocodes/{promocode_id}"
payload = {
"code": "<string>",
"balance_bonus_kopeks": 123,
"subscription_days": 123,
"max_uses": 1,
"valid_from": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z",
"is_active": True,
"first_purchase_only": True,
"promo_group_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
balance_bonus_kopeks: 123,
subscription_days: 123,
max_uses: 1,
valid_from: '2023-11-07T05:31:56Z',
valid_until: '2023-11-07T05:31:56Z',
is_active: true,
first_purchase_only: true,
promo_group_id: 123
})
};
fetch('https://api.example.com/cabinet/admin/promocodes/{promocode_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"code": "<string>",
"balance_bonus_kopeks": 123,
"balance_bonus_rubles": 123,
"subscription_days": 123,
"max_uses": 123,
"current_uses": 123,
"uses_left": 123,
"is_active": true,
"is_valid": true,
"first_purchase_only": true,
"valid_from": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"valid_until": "2023-11-07T05:31:56Z",
"promo_group_id": 123,
"created_by": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin Promocodes
Update Promocode Endpoint
Update an existing promocode.
PATCH
/
cabinet
/
admin
/
promocodes
/
{promocode_id}
Update Promocode Endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
1 - 50Available options:
balance, subscription_days, trial_subscription, promo_group, discount Required range:
x >= 0Response
Successful Response
Available options:
balance, subscription_days, trial_subscription, promo_group, discount ⌘I
